My Project: dgObb Class Reference

My Project

Public Member Functions | Public Attributes | List of all members
dgObb Class Reference

`#include <dgObb.h>`

Inheritance diagram for dgObb:

## Public Member Functions

DG_INLINE | dgObb ()
| dgObb (const dgQuaternion &quat, const dgVector &position, const dgVector &dim=dgVector(0, 0, 0, 0))
| dgObb (const dgMatrix &matrix, const dgVector &dim=dgVector(0, 0, 0, 0))
dgObb & | operator= (const dgMatrix &arg)
void | Scale (dgFloat32 Ws, dgFloat32 Hs, dgFloat32 Bs)
void | SetDimensions (dgFloat32 W, dgFloat32 H, dgFloat32 B)
void | SetDimensions (const dgFloat32 vertex[], dgInt32 strideInBytes, dgInt32 vertexCount, const dgMatrix *basis=NULL)
void | SetDimensions (const dgFloat32 vertex[], dgInt32 strideInBytes, const dgInt32 triangles[], dgInt32 indexCount, const dgMatrix *basis)
Public Member Functions inherited from dgMatrix
| dgMatrix ()
| dgMatrix (const dgFloat32 *const array)
| dgMatrix (const dgVector &front, const dgVector &up, const dgVector &right, const dgVector &posit)
| dgMatrix (const dgQuaternion &rotation, const dgVector &position)
| dgMatrix (const dgVector &front)
| dgMatrix (const dgVector &p, const dgVector &q)
dgVector & | operator[] (dgInt32 i)
const dgVector & | operator[] (dgInt32 i) const
dgMatrix | Inverse () const
dgMatrix | Inverse4x4 () const
dgMatrix | Transpose () const
dgMatrix | Transpose4X4 () const
dgMatrix | Symetric3by3Inverse () const
dgVector | RotateVector (const dgVector &v) const
dgVector | UnrotateVector (const dgVector &v) const
dgVector | TransformVector (const dgVector &v) const
dgVector | UntransformVector (const dgVector &v) const
dgPlane | TransformPlane (const dgPlane &localPlane) const
dgPlane | UntransformPlane (const dgPlane &globalPlane) const
void | TransformBBox (const dgVector &p0local, const dgVector &p1local, dgVector &p0, dgVector &p1) const
void | CalcPitchYawRoll (dgVector &euler0, dgVector &euler1) const
void | TransformTriplex (dgFloat32 *const dst, dgInt32 dstStrideInBytes, const dgFloat32 *const src, dgInt32 srcStrideInBytes, dgInt32 count) const
void | TransformTriplex (dgFloat64 *const dst, dgInt32 dstStrideInBytes, const dgFloat64 *const src, dgInt32 srcStrideInBytes, dgInt32 count) const
void | TransformTriplex (dgFloat64 *const dst, dgInt32 dstStrideInBytes, const dgFloat32 *const src, dgInt32 srcStrideInBytes, dgInt32 count) const
bool | TestOrthogonal () const
bool | TestSymetric3x3 () const
dgMatrix | operator* (const dgMatrix &B) const
void | EigenVectors (dgVector &eigenValues, const dgMatrix &initialGuess=dgGetIdentityMatrix())
void | EigenVectors (const dgMatrix &initialGuess=dgGetIdentityMatrix())
void | PolarDecomposition (dgMatrix &transformMatrix, dgVector &scale, dgMatrix &stretchAxis, const dgMatrix &initialStretchAxis=dgGetIdentityMatrix()) const
| dgMatrix (const dgMatrix &transformMatrix, const dgVector &scale, const dgMatrix &stretchAxis)

## Public Attributes

dgVector | m_size
Public Attributes inherited from dgMatrix
dgVector | m_front
dgVector | m_up
dgVector | m_right
dgVector | m_posit

## Additional Inherited Members

Static Public Attributes inherited from dgMatrix
static dgMatrix | m_zeroMatrix
static dgMatrix | m_identityMatrix

## Constructor & Destructor Documentation

## § dgObb() [1/3]

DG_INLINE dgObb::dgObb | ( |  | ) |

inline

## § dgObb() [2/3]

dgObb::dgObb | ( | const dgQuaternion & | quat,
|  | const dgVector & | position,
|  | const dgVector & | dim = `dgVector(0, 0, 0, 0)`
| ) |  |

inline

## § dgObb() [3/3]

dgObb::dgObb | ( | const dgMatrix & | matrix,
|  | const dgVector & | dim = `dgVector(0, 0, 0, 0)`
| ) |  |

inline

## Member Function Documentation

## § operator=()

dgObb & dgObb::operator= | ( | const dgMatrix & | arg | ) |

inline

## § Scale()

void dgObb::Scale | ( | dgFloat32 | Ws,
|  | dgFloat32 | Hs,
|  | dgFloat32 | Bs
| ) |  |

inline

## § SetDimensions() [1/3]

void dgObb::SetDimensions | ( | dgFloat32 | W,
|  | dgFloat32 | H,
|  | dgFloat32 | B
| ) |  |

inline

## § SetDimensions() [2/3]

void dgObb::SetDimensions | ( | const dgFloat32 | vertex[],
|  | dgInt32 | strideInBytes,
|  | dgInt32 | vertexCount,
|  | const dgMatrix * | basis = `NULL`
| ) |  |

## § SetDimensions() [3/3]

void dgObb::SetDimensions | ( | const dgFloat32 | vertex[],
|  | dgInt32 | strideInBytes,
|  | const dgInt32 | triangles[],
|  | dgInt32 | indexCount,
|  | const dgMatrix * | basis
| ) |  |

## Member Data Documentation

## § m_size

dgVector dgObb::m_size

The documentation for this class was generated from the following files:

- dynamics.mod/NewtonDynamics/source/core/dgObb.h
- dynamics.mod/NewtonDynamics/source/core/dgObb.cpp